(* AUTEURS / AUTHORS :                                     *)
(* Yuxin Deng, Jiatong University, Shanghai                *)
(* Jean-François Monin, Verimag, Université Grenoble Alpes *)
(*                                             2010 - 2019 *)

Require Import List.

Lemma repeat_app_cons {A} (a : A) n l :
  (repeat a n) ++ (a :: l) = (repeat a (S n)) ++ l.
Proof.
  intros. induction n; simpl.
  - reflexivity.
  - apply f_equal. assumption.
Qed.
